> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eis.it/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eis.it/_mcp/server.

# Add an organization service

POST https://api.eis.it/v1/service/org/add
Content-Type: application/json

Reference: https://docs.eis.it/api/reference/services/add-organization-service

## Request

### Body (application/json)

This endpoint expects a ServiceRequest.

- `id` (integer, optional, nullable)
- `serviceListId` (integer, optional, nullable)
- `serviceOrgId` (integer, optional, nullable)
- `organizationId` (long, optional, nullable)
- `integrationId` (integer, optional, nullable)
- `optionId` (integer, optional, nullable)
- `name` (string, optional, nullable)
- `offsetDays` (integer, optional, nullable)
- `carrierType` (string, optional, nullable)
- `attributes` (ServiceRequestAttributes, optional, nullable)
- `type` (string, optional, nullable)
- `forDirect` (boolean, optional, nullable)
- `forSub` (boolean, optional, nullable)

## Response

### 201

Organization service created.

- `id` (integer, optional) — Organization service identifier.
- `organizationId` (long, optional, nullable) — Organization owning the configured service.
- `integration` (ServiceOrgIntegration, optional, nullable) — Integration summary exposed for the service.
- `name` (string, optional, nullable) — Organization-specific service name.
- `forDirect` (boolean, optional, nullable) — Whether the service is available for direct customers.
- `forSub` (boolean, optional, nullable) — Whether the service is available for subpartners.
- `carrierType` (string, optional, nullable) — Carrier-specific service classification.
- `offsetDays` (integer, optional, nullable) — Service scheduling offset in days.
- `attributes` (map from string to any, optional, nullable) — Provider-specific service attributes.

## Errors

### 400 Bad Request Error

Invalid request

- `any`

### 403 Forbidden Error

Insufficient permissions

- `any`

## Types

### ServiceRequestAttributes

### ServiceOrgIntegration

Integration summary exposed for the service.

- `id` (integer, optional)
- `name` (string, optional, nullable)

## Examples

**Request**

```json
{
  "serviceListId": 12,
  "organizationId": 10,
  "integrationId": 34,
  "optionId": 56,
  "name": "Managed service",
  "offsetDays": 0,
  "carrierType": "EIS",
  "attributes": {
    "enabled": true
  },
  "type": "connectivity",
  "forDirect": true,
  "forSub": false
}
```

**Response**

```json
{
  "id": 1,
  "organizationId": 1,
  "integration": {
    "id": 1,
    "name": "string"
  },
  "name": "string",
  "forDirect": true,
  "forSub": true,
  "carrierType": "string",
  "offsetDays": 1,
  "attributes": {},
  "serviceList": null
}
```

**SDK Code**

```python
import requests

url = "https://api.eis.it/v1/service/org/add"

payload = {
    "serviceListId": 12,
    "organizationId": 10,
    "integrationId": 34,
    "optionId": 56,
    "name": "Managed service",
    "offsetDays": 0,
    "carrierType": "EIS",
    "attributes": { "enabled": True },
    "type": "connectivity",
    "forDirect": True,
    "forSub": False
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.eis.it/v1/service/org/add';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"serviceListId":12,"organizationId":10,"integrationId":34,"optionId":56,"name":"Managed service","offsetDays":0,"carrierType":"EIS","attributes":{"enabled":true},"type":"connectivity","forDirect":true,"forSub":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.eis.it/v1/service/org/add"

	payload := strings.NewReader("{\n  \"serviceListId\": 12,\n  \"organizationId\": 10,\n  \"integrationId\": 34,\n  \"optionId\": 56,\n  \"name\": \"Managed service\",\n  \"offsetDays\": 0,\n  \"carrierType\": \"EIS\",\n  \"attributes\": {\n    \"enabled\": true\n  },\n  \"type\": \"connectivity\",\n  \"forDirect\": true,\n  \"forSub\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.eis.it/v1/service/org/add")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"serviceListId\": 12,\n  \"organizationId\": 10,\n  \"integrationId\": 34,\n  \"optionId\": 56,\n  \"name\": \"Managed service\",\n  \"offsetDays\": 0,\n  \"carrierType\": \"EIS\",\n  \"attributes\": {\n    \"enabled\": true\n  },\n  \"type\": \"connectivity\",\n  \"forDirect\": true,\n  \"forSub\": false\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.eis.it/v1/service/org/add")
  .header("Content-Type", "application/json")
  .body("{\n  \"serviceListId\": 12,\n  \"organizationId\": 10,\n  \"integrationId\": 34,\n  \"optionId\": 56,\n  \"name\": \"Managed service\",\n  \"offsetDays\": 0,\n  \"carrierType\": \"EIS\",\n  \"attributes\": {\n    \"enabled\": true\n  },\n  \"type\": \"connectivity\",\n  \"forDirect\": true,\n  \"forSub\": false\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.eis.it/v1/service/org/add', [
  'body' => '{
  "serviceListId": 12,
  "organizationId": 10,
  "integrationId": 34,
  "optionId": 56,
  "name": "Managed service",
  "offsetDays": 0,
  "carrierType": "EIS",
  "attributes": {
    "enabled": true
  },
  "type": "connectivity",
  "forDirect": true,
  "forSub": false
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.eis.it/v1/service/org/add");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"serviceListId\": 12,\n  \"organizationId\": 10,\n  \"integrationId\": 34,\n  \"optionId\": 56,\n  \"name\": \"Managed service\",\n  \"offsetDays\": 0,\n  \"carrierType\": \"EIS\",\n  \"attributes\": {\n    \"enabled\": true\n  },\n  \"type\": \"connectivity\",\n  \"forDirect\": true,\n  \"forSub\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "serviceListId": 12,
  "organizationId": 10,
  "integrationId": 34,
  "optionId": 56,
  "name": "Managed service",
  "offsetDays": 0,
  "carrierType": "EIS",
  "attributes": ["enabled": true],
  "type": "connectivity",
  "forDirect": true,
  "forSub": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.eis.it/v1/service/org/add")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```